<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.4.1/css/bootstrap.min.css"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.min.css"
    />
    <link rel="stylesheet" href="./style.css" />
    <title>Title</title>
  </head>
  <body>
    <div class="container" id="principal">
      <h1>Bienvenido</h1>
      <p>Probando...</p>

      <ul class="nav nav-pills">
        <li class="nav-item">
          <a href="#c" class="nav-link active" data-toggle="tab">Consultar</a>
        </li>
        <li class="nav-item">
          <a href="#a" class="nav-link" data-toggle="tab">Añadir</a>
        </li>
      </ul>
      <div class="tab-content">
        <div class="tab-pane active" id="c">
          <form>
            <label for="depId">
              Busca departamento
            </label>
            <input type="text" name="dep" id="depId" />
            <input
              type="button"
              value="Enviar"
              class="btn btn-primary"
              id="btnEnv"
            />

            <input class="btn btn-secondary" type="reset" value="Reset" />
          </form>
          
            <br>
            <div class="card">
                <!-- <img class="card-img-top" src="holder.js/100x180/" alt=""> -->
                <div class="card-body">
                    <h4 class="card-title">Departamentos</h4>
                    <p class="card-text">
                        <div id="resultado">
                            <em>Aquí se mostrarán los departamentos</em>
                        </div>
                    </p>
                </div>
            </div>
        </div>
        <div class="tab-pane" id="a">
          Opción 2
        </div>
      </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.4.1/js/bootstrap.min.js"></script>
    
    <script
    src="https://code.jquery.com/jquery-3.4.1.min.js"
    integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
    crossorigin="anonymous"></script>
    <script>

        $(function(){
            
            function f (r) {
                $('#resultado').html(r);
            }

            function llamaAPhp () {
                $.get('procesa.php', 
                    { dep: $('#depId').val() },
                    f);
            }

            $('#btnEnv').click(llamaAPhp);
            $('#depId').keyup(llamaAPhp);

            $('#btnEnv').click();
        });
            
    </script>
</body>
</html>
